org.eclipse.jetty.server

## Class HttpInput

- java.lang.Object
- - java.io.InputStream
  - - javax.servlet.ServletInputStream
    - - org.eclipse.jetty.server.HttpInput

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class HttpInput
      extends javax.servlet.ServletInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractHttpConnection` | `_connection`
    `protected HttpParser` | `_parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpInput(AbstractHttpConnection connection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `int` | `read()`
    `int` | `read(byte[] b, int off, int len)`

    - ### Methods inherited from class javax.servlet.ServletInputStream

      `readLine`

    - ### Methods inherited from class java.io.InputStream

      `close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _connection

          protected final AbstractHttpConnection _connection

    - #### _parser

          protected final HttpParser _parser

  - ### Constructor Detail

    - #### HttpInput

          public HttpInput(AbstractHttpConnection connection)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### available

          public int available()
                        throws java.io.IOException

      Overrides:
        `available` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.